Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine
Class AbstractDiscountCalculator

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.AbstractDiscountCalculator

All Implemented Interfaces
  DiscountCalculator

Direct Known Subclasses:
  DiscountCalculatorFixedOff, DiscountCalculatorFixedPrice, DiscountCalculatorPercentOff

Deprecated

    @Deprecated
    public abstract class AbstractDiscountCalculator

extends Object
implements DiscountCalculator

Field Summary
`static boolean` | `DEBUG` Deprecated

Fields inherited from interface com.bea.commerce.ebusiness.price.engine.DiscountCalculator
`calcMethod`

Constructor Summary
`protected` | `AbstractDiscountCalculator()` Deprecated

Method Summary
`protected void` | `adjust(List poolObjects, AdjustmentType type, Money initialPrice, Money endPrice, String reason, QualificationDiscountId discountID)` Deprecated
`protected void` | `adjust(PoolObject poolObject, AdjustmentType type, Money initialPrice, Money endPrice, String reason, QualificationDiscountId discountID)` Deprecated
`protected double` | `computeNewPrice(PoolObject object)` Deprecated Override this method to have processList() work.
`protected abstract String` | `getComputation()` Deprecated
`protected void` | `processList(List poolObjects, AdjustmentType type, String reason, QualificationDiscountId discountID)` Deprecated possibly objects that dont represent the same line item.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bea.commerce.ebusiness.price.engine.DiscountCalculator
`calcNewPrice, calcNewPrice`

Field Detail

### DEBUG

    public static final boolean DEBUG

  Deprecated
  See Also
    Constants Summary

Constructor Detail

### AbstractDiscountCalculator

    protected AbstractDiscountCalculator()

  Deprecated

Method Detail

### adjust

    protected void adjust(List poolObjects,
                          AdjustmentType type,
                          Money initialPrice,
                          Money endPrice,
                          String reason,
                          QualificationDiscountId discountID)

  Deprecated

### adjust

    protected void adjust(PoolObject poolObject,
                          AdjustmentType type,
                          Money initialPrice,
                          Money endPrice,
                          String reason,
                          QualificationDiscountId discountID)

  Deprecated

### processList

    protected void processList(List poolObjects,
                               AdjustmentType type,
                               String reason,
                               QualificationDiscountId discountID)

  Deprecated
  possibly objects that dont represent the same line item. Override the computeNewPrice() method for this to work.

### computeNewPrice

    protected double computeNewPrice(PoolObject object)

  Deprecated
  Override this method to have processList() work.

### getComputation

    protected abstract String getComputation()

  Deprecated

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.